Loading...
Searching...
No Matches
Hybrid

## Classes

class | gtsam::GaussianMixture
| A conditional of gaussian mixtures indexed by discrete variables, as part of a Bayes Network. More...
class | gtsam::GaussianMixtureFactor
| Implementation of a discrete conditional mixture factor. More...
class | gtsam::HybridBayesNet
| A hybrid Bayes net is a collection of HybridConditionals, which can have discrete conditionals, Gaussian mixtures, or pure Gaussian conditionals. More...
class | gtsam::HybridBayesTreeClique
| A clique in a HybridBayesTree which is a HybridConditional internally. More...
class | gtsam::HybridConditional
| Hybrid Conditional Density. More...
class | gtsam::HybridEliminationTree
| Elimination Tree type for Hybrid Factor Graphs. More...
class | gtsam::HybridFactor
| Base class for truly hybrid probabilistic factors. More...
class | gtsam::HybridGaussianFactorGraph
class | gtsam::HybridGaussianISAM
class | gtsam::HybridJunctionTree
| An EliminatableClusterTree, i.e., a set of variable clusters with factors, arranged in a tree, with the additional property that it represents the clique tree associated with a Bayes net. More...

## Functions

std::pair< HybridConditional::shared_ptr, boost::shared_ptr< Factor > > | gtsam::EliminateHybrid (const HybridGaussianFactorGraph &factors, const Ordering &keys)
| Main elimination function for HybridGaussianFactorGraph.

## Detailed Description

## Function Documentation

## EliminateHybrid()

GTSAM_EXPORT std::pair< boost::shared_ptr< HybridConditional >, boost::shared_ptr< Factor > > gtsam::EliminateHybrid | ( | const HybridGaussianFactorGraph & | factors,
|  | const Ordering & | keys )

Main elimination function for HybridGaussianFactorGraph.

Parameters

  factors | The factor graph to eliminate.
  keys | The elimination ordering.

Returns
  The conditional on the ordering keys and the remaining factors.